Ruby - Bug #16281
‘irb -w’ issues warning
10/25/2019 08:39 PM - marcandre (Marc-Andre Lafortune)

Status: Closed

Priority: Normal

Assignee: aycabta (aycabta .)

Target version: 2.7

ruby -v: ruby 2.7.0dev (2019-10-25T17:56:12Z Backport: 2.5: UNKNOWN, 2.6: UNKNOWN
trunk 41d5294506) [x86_64-darwin18]

Description

$ irb -w
.rvm/rubies/ruby-head/lib/ruby/2.7.0/reline.rb:322: warning: instance variable @ambiguous_width no
t initialized

(Since f13db4adde532)

History

#1 - 10/27/2019 10:30 PM - jeremyevans0 (Jeremy Evans)

Pull request submitted to fix this: https:/github.com/ruby/relin

#2 - 10/31/2019 08:55 AM - aycabta (aycabta .)
- Status changed from Open to Closed

This is fixed by d6ed7a984c8fd991ce2614d2f228239{8eb490b5. Thank you for reporting and patch!
https://github.com/ruby/reline/pull/62
